<!-- https://www.w3schools.com/js/tryit.asp?filename=tryjs_classes_method -->
<!DOCTYPE html>
<html>
<head></head>

<body>

	<h2>JavaScript Class Method</h2>

	<p>Demonstration of how to add a method in a JavaScript Class.</p>

	<p id="demo"></p>

	<script>
        class Car {
            constructor(brand) {
                this.carname = brand;
            }
            present() {
                return "I have a " + this.carname;
            }
        }

        mycar = new Car("Ford");

        document.getElementById("demo").innerHTML = mycar.present();
    </script>

</body>

</html>